package com.ruoyi.model.mapper;

import java.util.List;
import com.ruoyi.model.domain.AppletTask;

/**
 * 任务中心Mapper接口
 *
 * @author daixiande
 */
public interface AppletTaskMapper {
    /**
     * 查询任务中心
     *
     * @param id 任务中心主键
     * @return 任务中心
     */
    AppletTask selectById(Long id);

    /**
     * 查询任务中心列表
     *
     * @param appletTask 任务中心
     * @return 任务中心集合
     */
    List<AppletTask> selectList(AppletTask appletTask);

    /**
     * 新增任务中心
     *
     * @param appletTask 任务中心
     * @return 结果
     */
    int insert(AppletTask appletTask);

    /**
     * 修改任务中心
     *
     * @param appletTask 任务中心
     * @return 结果
     */
    int update(AppletTask appletTask);

    /**
     * 删除任务中心
     *
     * @param id 任务中心主键
     * @return 结果
     */
    int deleteById(Long id);

    /**
     * 批量删除任务中心
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteByIds(Long[] ids);

    /**
     * 更新或插入任务中心
     *
     * @param appletTask 任务中心
     * @return 结果
     */
    int insertOrUpdate(AppletTask appletTask);
}
